KeyPoint (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.core

## Class KeyPoint

- java.lang.Object
- - org.opencv.core.KeyPoint

-     public class KeyPoint
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `angle` Computed orientation of the keypoint (-1 if not applicable).
    `int` | `class_id` Object ID, that can be used to cluster keypoints by an object they belong to.
    `int` | `octave` Octave (pyramid layer), from which the keypoint has been extracted.
    `Point` | `pt` Coordinates of the keypoint.
    `float` | `response` The response, by which the strongest keypoints have been selected.
    `float` | `size` Diameter of the useful keypoint adjacent area.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyPoint()`
    `KeyPoint(float x, float y, float _size)`
    `KeyPoint(float x, float y, float _size, float _angle)`
    `KeyPoint(float x, float y, float _size, float _angle, float _response)`
    `KeyPoint(float x, float y, float _size, float _angle, float _response, int _octave)`
    `KeyPoint(float x, float y, float _size, float _angle, float _response, int _octave, int _class_id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### pt

          public Point pt

      Coordinates of the keypoint.

    - #### size

          public float size

      Diameter of the useful keypoint adjacent area.

    - #### angle

          public float angle

      Computed orientation of the keypoint (-1 if not applicable).

    - #### response

          public float response

      The response, by which the strongest keypoints have been selected. Can be used for further sorting or subsampling.

    - #### octave

          public int octave

      Octave (pyramid layer), from which the keypoint has been extracted.

    - #### class_id

          public int class_id

      Object ID, that can be used to cluster keypoints by an object they belong to.

  - ### Constructor Detail

    - #### KeyPoint

          public KeyPoint(float x,
                          float y,
                          float _size,
                          float _angle,
                          float _response,
                          int _octave,
                          int _class_id)

    - #### KeyPoint

          public KeyPoint()

    - #### KeyPoint

          public KeyPoint(float x,
                          float y,
                          float _size,
                          float _angle,
                          float _response,
                          int _octave)

    - #### KeyPoint

          public KeyPoint(float x,
                          float y,
                          float _size,
                          float _angle,
                          float _response)

    - #### KeyPoint

          public KeyPoint(float x,
                          float y,
                          float _size,
                          float _angle)

    - #### KeyPoint

          public KeyPoint(float x,
                          float y,
                          float _size)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Generated on Sun Apr 14 2019 09:17:52 MDT / OpenCV unknown